## firewalld 0.6.3

=== files/nftables/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# files/nftables/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nftables
pkgincludedir = $(includedir)/nftables
pkglibdir = $(libdir)/nftables
pkglibexecdir = $(libexecdir)/nftables
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = files/nftables
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_pkgsysconf_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgsysconfdir)"
DATA = $(dist_pkgsysconf_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DB2MAN = docbook2x-man
DB2X_DOCBOOK2MAN = no
DBLATEX = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBOOK2MAN = docbook2man
DOCBOOK2X_MAN = docbook2x-man
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBMNL_CFLAGS = 
LIBMNL_LIBS = -lmnl
LIBNFTNL_CFLAGS = 
LIBNFTNL_LIBS = -lnftnl
LIBOBJS = 
LIBS = -lreadline -lgmp 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nftables
PACKAGE_BUGREPORT = netfilter-devel@vger.kernel.org
PACKAGE_NAME = nftables
PACKAGE_STRING = nftables 0.9.0
PACKAGE_TARNAME = nftables
PACKAGE_URL = 
PACKAGE_VERSION = 0.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.9.0
XTABLES_CFLAGS = 
XTABLES_LIBS = 
YACC = bison -y
YFLAGS = 
abs_builddir = /tmp/tmp.EgMDc8URuC/files/nftables
abs_srcdir = /tmp/tmp.EgMDc8URuC/files/nftables
abs_top_builddir = /tmp/tmp.EgMDc8URuC
abs_top_srcdir = /tmp/tmp.EgMDc8URuC
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/tmp.EgMDc8URuC/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
with_cli = yes
with_debug = yes
with_json = no
with_libxtables = no
pkgsysconfdir = ${sysconfdir}/nftables
dist_pkgsysconf_DATA = all-in-one.nft		\
			arp-filter.nft		\
			bridge-filter.nft	\
			inet-filter.nft		\
			ipv4-filter.nft		\
			ipv4-mangle.nft		\
			ipv4-nat.nft		\
			ipv4-raw.nft		\
			ipv6-filter.nft		\
			ipv6-mangle.nft		\
			ipv6-nat.nft		\
			ipv6-raw.nft

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign files/nftables/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign files/nftables/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_pkgsysconfDATA: $(dist_pkgsysconf_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_pkgsysconf_DATA)'; test -n "$(pkgsysconfdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgsysconfdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgsysconfdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgsysconfdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgsysconfdir)" || exit $$?; \
	done

uninstall-dist_pkgsysconfDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_pkgsysconf_DATA)'; test -n "$(pkgsysconfdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pkgsysconfdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \

## firewalld 0.3.0

=== debian/changelog ===
firewalld (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Refresh 01-no-sysconfig.patch.
    - Drop 02-don-t-keep-file-descriptors-open-when-forking.patch, merged
      upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Mar 2013 19:39:29 +0100

firewalld (0.2.12-4) unstable; urgency=low

  * Add Depends on dbus. It's a required dependency and insserv will bail out
    if dbus is not installed. (Closes: #702047)

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Mar 2013 18:53:03 +0100

firewalld (0.2.12-3) unstable; urgency=low

  * Add Depends on iptables.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 21:48:48 +0100

firewalld (0.2.12-2) unstable; urgency=low

  * Add SysV init script.
  * Don't keep file descriptors open when forking.

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 15:33:08 +0100

firewalld (0.2.12-1) unstable; urgency=low

  * Initial release. (Closes: #700154)

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 07:28:08 +0100

=== debian/control ===
Source: firewalld
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 intltool,
 python (>= 2.6.6-3~),
 libglib2.0-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-utopia/firewalld.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/firewalld.git;a=summary
Homepage: https://fedorahosted.org/firewalld/
X-Python-Version: >= 2.7

Package: firewalld
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-dbus,
 python-slip-dbus,
 python-gi,
 gir1.2-glib-2.0,
 iptables,
 dbus
Recommends: ebtables
Description: dynamically managed firewall with support for network zones
 firewalld is a dynamically managed firewall daemon with support for
 network/firewall zones to define the trust level of network connections
 or interfaces. It has support for IPv4, IPv6 firewall settings and for
 ethernet bridges and has a separation of runtime and persistent
 configuration options.
 It also provides a D-Bus interface for services or applications to add
 and apply firewall rules on-the-fly.

Package: firewall-applet
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python:Depends},
 firewalld (= ${source:Version}),
 policykit-1,
 python-dbus,
 python-slip-dbus,
 python-gi,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 gir1.2-notify-0.7,
 gir1.2-networkmanager-1.0
Description: panel applet providing status information of firewalld
 This package provides a panel applet which shows status information
 of firewalld and also graphical configuration tool to change the
 firewall settings.

## firewalld 0.3.4

=== debian/changelog ===
firewalld (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on xsltproc, docbook-xsl and docbook-xml for the man
    pages which are created from docbook sources now.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jul 2013 21:50:44 +0200

firewalld (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jun 2013 01:41:11 +0200

firewalld (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 20:42:49 +0200

firewalld (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01-no-sysconfig.patch.
  * Install bash-completion for firewall-cmd.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Mar 2013 22:27:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
  pkg-config,
  intltool,
  python (>= 2.6.6-3~),
- libglib2.0-dev
+ libglib2.0-dev,
+ xsltproc,
+ docbook-xsl,
+ docbook-xml
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-utopia/firewalld.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/firewalld.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-systemd-unitdir=/lib/systemd/system

override_dh_install:
	dh_install --list-missing

## firewalld 0.3.7

=== debian/changelog ===
firewalld (0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Oct 2013 18:01:20 +0200

firewalld (0.3.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2013 19:39:44 +0200

firewalld (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/02-IPv6-NAT-check.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Oct 2013 00:58:11 +0200

firewalld (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Use dh-systemd to properly register the systemd service file.
    (Closes: #715250)
  * debian/patches/02-IPv6-NAT-check.patch: Don't use uname and a simple
    kernel version check to determine whether the kernel supports IPv6 NAT.
    This fails with the  Debian kernel versioning scheme and isn't a
    sufficient check anyway. Instead execute "ip6tables -t nat -L" and check
    the return code.
  * Install autostart file for firewall-applet.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Oct 2013 02:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-systemd,
  pkg-config,
  intltool,
  python (>= 2.6.6-3~),

## firewalld 0.3.10

=== debian/changelog ===
firewalld (0.3.10-1) unstable; urgency=medium

  * New upstream release.
  * Add Depends on policykit-1, access to the firewalld D-Bus interface is
    protected by PolicyKit.
  * Install AppData file.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 May 2014 00:27:02 +0200

firewalld (0.3.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No further changes.
  * Update copyright years.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Feb 2014 17:08:17 +0100

=== debian/control ===
Source: firewalld
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               pkg-config,
               intltool,
               python (>= 2.6.6-3~),
               libglib2.0-dev,
               xsltproc,
               docbook-xsl,
               docbook-xml
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-utopia/firewalld.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/firewalld.git;a=summary
Homepage: https://fedorahosted.org/firewalld/
X-Python-Version: >= 2.7

Package: firewalld
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-dbus,
         python-slip-dbus,
         python-gi,
         gir1.2-glib-2.0,
         iptables,
         dbus,
         policykit-1
Recommends: ebtables
Description: dynamically managed firewall with support for network zones
 firewalld is a dynamically managed firewall daemon with support for
 network/firewall zones to define the trust level of network connections
 or interfaces. It has support for IPv4, IPv6 firewall settings and for
 ethernet bridges and has a separation of runtime and persistent
 configuration options.
 It also provides a D-Bus interface for services or applications to add
 and apply firewall rules on-the-fly.

Package: firewall-applet
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         firewalld (= ${source:Version}),
         policykit-1,
         python-dbus,
         python-slip-dbus,
         python-gi,
         gir1.2-gtk-3.0,
         gir1.2-glib-2.0,
         gir1.2-notify-0.7,
         gir1.2-networkmanager-1.0
Description: panel applet providing status information of firewalld
 This package provides a panel applet which shows status information
 of firewalld and also graphical configuration tool to change the
 firewall settings.

## firewalld 0.3.12

=== debian/changelog ===
firewalld (0.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Oct 2014 06:22:54 +0200

firewalld (0.3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Aug 2014 15:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                xsltproc,
                docbook-xsl,
                docbook-xml
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/pkg-utopia/firewalld.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/firewalld.git;a=summary
 Homepage: https://fedorahosted.org/firewalld/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## firewalld 0.3.13

=== debian/changelog ===
firewalld (0.3.13-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 00:20:34 +0200

## firewalld 0.4.0

=== debian/changelog ===
firewalld (0.4.0-1) unstable; urgency=medium

  * Team upload.
  [ Michael Biebl ]
  * Unbreak Vcs-Browser

  [ Laurent Bigonville ]
  * Imported Upstream version 0.4.0
  * d/p/01-no-sysconfig.patch: Refreshed
  * d/p/02-fix-changing-zone.patch, d/p/03_avoid-PyGIWarning.patch: Dropped,
    applied upstream.
  * d/firewall-applet.install: Install /etc/firewall/applet.conf
  * debian/control: Add ipset to the Recommends
  * debian/rules: Hardcode the paths to all the *config utilities
  * debian/control: firewalld now needs ebtables-restore which is only
    available starting version 2.0.10.4-3.1~

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Feb 2016 22:41:33 +0100

firewalld (0.3.14.2-2) unstable; urgency=medium

  * Team upload.
  * Protect config files by making /etc/firewalld non-world readable
  * Switch to python3

 -- Laurent Bigonville <bigon@debian.org>  Fri, 20 Nov 2015 01:49:18 +0100

firewalld (0.3.14.2-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.3.14.2
  * Add dh-python to the build-dependencies
  * Split firewall-config out of the firewall-applet package
  * Update the Vcs-* URL's to please lintian
  * Fix PermissionDenied when trying to change the zone of a connection
    (Closes: #767888)
  * d/p/03_avoid-PyGIWarning.patch: avoid PyGIWarning seen with Gtk-3.17

 -- Laurent Bigonville <bigon@debian.org>  Sat, 17 Oct 2015 00:16:17 +0200

=== debian/control ===
Source: firewalld
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               docbook-xml,
               docbook-xsl,
               intltool,
               libglib2.0-dev,
               pkg-config,
               python3 (>= 3.2),
               xsltproc
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-utopia/firewalld.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/firewalld.git
Homepage: https://fedorahosted.org/firewalld/
X-Python3-Version: >= 3.2

Package: firewalld
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: dbus,
         gir1.2-glib-2.0,
         iptables,
         policykit-1,
         python3-dbus,
         python3-gi,
         python3-slip-dbus,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ebtables (>= 2.0.10.4-3.1~), ipset
Description: dynamically managed firewall with support for network zones
 firewalld is a dynamically managed firewall daemon with support for
 network/firewall zones to define the trust level of network connections
 or interfaces. It has support for IPv4, IPv6 firewall settings and for
 ethernet bridges and has a separation of runtime and persistent
 configuration options.
 It also provides a D-Bus interface for services or applications to add
 and apply firewall rules on-the-fly.

Package: firewall-applet
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: firewall-config (= ${source:Version}),
         firewalld (= ${source:Version}),
         gir1.2-networkmanager-1.0,
         gir1.2-notify-0.7,
         python3-dbus,
         python3-gi,
         python3-pyqt4,
         python3-dbus.mainloop.qt,
         python3-slip-dbus,
         ${misc:Depends},
         ${python3:Depends}
Breaks: firewalld (<< 0.3.14.2-1~)
Replaces: firewalld (<< 0.3.14.2-1~)
Description: panel applet providing status information of firewalld
 firewalld is a dynamically managed firewall daemon with support for
 network/firewall zones to define the trust level of network connections
 or interfaces. It has support for IPv4, IPv6 firewall settings and for
 ethernet bridges and has a separation of runtime and persistent
 configuration options.
 It also provides a D-Bus interface for services or applications to add
 and apply firewall rules on-the-fly.
 .
 This package provides a panel applet which shows status information
 of firewalld.

Package: firewall-config
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: firewalld (= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-networkmanager-1.0,
         gir1.2-pango-1.0,
         python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Breaks: firewall-applet (<< 0.3.14), firewalld (<< 0.3.14.2-1~)
Replaces: firewall-applet (<< 0.3.14), firewalld (<< 0.3.14.2-1~)
Description: graphical configuration tool to change the firewall settings
 firewalld is a dynamically managed firewall daemon with support for
 network/firewall zones to define the trust level of network connections
 or interfaces. It has support for IPv4, IPv6 firewall settings and for
 ethernet bridges and has a separation of runtime and persistent
 configuration options.
 It also provides a D-Bus interface for services or applications to add
 and apply firewall rules on-the-fly.
 .
 This package provides a graphical configuration tool to change the
 firewall settings.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=/usr/bin/python3

%:
	dh $@ --with python3,systemd

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-systemd-unitdir=/lib/systemd/system \
		--with-iptables=/sbin/iptables \
		--with-iptables-restore=/sbin/iptables-restore \
		--with-ip6tables=/sbin/ip6tables \
		--with-ip6tables-restore=/sbin/ip6tables-restore \
		--with-ebtables=/sbin/ebtables \
		--with-ebtables-restore=/sbin/ebtables-restore \
		--with-ipset=/sbin/ipset

override_dh_install:
	dh_install --list-missing

override_dh_fixperms:
	dh_fixperms
	chmod 0750 debian/firewalld/etc/firewalld/

=== debian/watch ===
version=3
https://fedorahosted.org/released/firewalld/firewalld-(.*)\.tar\.bz2

## firewalld 0.4.3

=== debian/changelog ===
firewalld (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop 00git-firewall-core-fw_ifcfg-Quickly-return-if-ifcfg-direc.patch,
    merged upstream.
  * Install new firewallctl utility.
  * Make sure the new firewallctl.1 man page is installed. Use dh-autoreconf
    to update the build system.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Jun 2016 03:01:32 +0200

firewalld (0.4.2-2) unstable; urgency=medium

  * Do not fail if /etc/sysconfig/network-scripts directory does not exist.
    Patch cherry-picked from upstream Git. (Closes: #826961)

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2016 05:58:20 +0200

firewalld (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * firewall-config: Install gtk3_niceexpander.py.

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jun 2016 21:21:05 +0200

firewalld (0.4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 14:43:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYTHON=/usr/bin/python3
 
 %:
-	dh $@ --with python3,systemd
+	dh $@ --with autoreconf,python3,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## firewalld 0.4.3.3

=== debian/changelog ===
firewalld (0.4.3.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2016-5410: Firewall configuration can be modified by any
      logged in user. (Closes: #834529)

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Aug 2016 16:00:36 +0200

firewalld (0.4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 05 Jul 2016 22:44:13 +0200

firewalld (0.4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 00git-doc-man1-Install-the-firewallctl-manpage.patch, merged
    upstream.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Jun 2016 23:21:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                dh-python,
                dh-systemd,
                docbook-xml,
@@ -13,7 +14,7 @@
                pkg-config,
                python3 (>= 3.2),
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/firewalld.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/firewalld.git
 Homepage: https://fedorahosted.org/firewalld/
@@ -31,7 +32,8 @@
          python3-slip-dbus,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: ebtables (>= 2.0.10.4-3.1~), ipset
+Recommends: ebtables (>= 2.0.10.4-3.1~),
+            ipset
 Description: dynamically managed firewall with support for network zones
  firewalld is a dynamically managed firewall daemon with support for
  network/firewall zones to define the trust level of network connections
@@ -81,8 +83,10 @@
          python3-gi,
          ${misc:Depends},
          ${python3:Depends}
-Breaks: firewall-applet (<< 0.3.14), firewalld (<< 0.3.14.2-1~)
-Replaces: firewall-applet (<< 0.3.14), firewalld (<< 0.3.14.2-1~)
+Breaks: firewall-applet (<< 0.3.14),
+        firewalld (<< 0.3.14.2-1~)
+Replaces: firewall-applet (<< 0.3.14),
+          firewalld (<< 0.3.14.2-1~)
 Description: graphical configuration tool to change the firewall settings
  firewalld is a dynamically managed firewall daemon with support for
  network/firewall zones to define the trust level of network connections

## firewalld 0.4.4.2

=== debian/changelog ===
firewalld (0.4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Dec 2016 22:58:52 +0100

firewalld (0.4.4.1-2) unstable; urgency=medium

  * Do not hard-code paths for modinfo, modprobe and rmmod.
    Use autofoo to detect them. Patches cherry-picked from upstream Git.
    Add Build-Depends on kmod accordingly. (Closes: #844270)

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Nov 2016 18:08:46 +0100

firewalld (0.4.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Nov 2016 14:59:09 +0100

firewalld (0.4.4-2) unstable; urgency=medium

  * Update Homepage URL, use http://www.firewalld.org/. (Closes: #843236)
  * Fix dependencies of firewall-applet. Change Depends on
    python3-dbus.mainloop.qt to python3-dbus.mainloop.pyqt5. (Closes: #843564)

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 23:43:25 +0100

firewalld (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch from PyQt4 to PyQt5.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2016 20:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                dh-python,
-               dh-systemd,
                docbook-xml,
                docbook-xsl,
                intltool,
+               kmod,
                libglib2.0-dev,
                pkg-config,
                python3 (>= 3.2),
@@ -17,7 +16,7 @@
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/firewalld.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/firewalld.git
-Homepage: https://fedorahosted.org/firewalld/
+Homepage: http://www.firewalld.org/
 X-Python3-Version: >= 3.2
 
 Package: firewalld
@@ -52,8 +51,8 @@
          gir1.2-notify-0.7,
          python3-dbus,
          python3-gi,
-         python3-pyqt4,
-         python3-dbus.mainloop.qt,
+         python3-pyqt5,
+         python3-dbus.mainloop.pyqt5,
          python3-slip-dbus,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYTHON=/usr/bin/python3
 
 %:
-	dh $@ --with autoreconf,python3,systemd
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## firewalld 0.4.4.3

=== debian/changelog ===
firewalld (0.4.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs following the latest recommendation

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Feb 2017 05:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3 (>= 3.2),
                xsltproc
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/firewalld.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/firewalld.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
 Homepage: http://www.firewalld.org/
 X-Python3-Version: >= 3.2

## firewalld 0.4.4.5

=== debian/changelog ===
firewalld (0.4.4.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Jun 2017 16:27:36 +0200

firewalld (0.4.4.5-1) experimental; urgency=medium

  * New upstream version 0.4.4.5

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Jun 2017 22:23:19 +0200

firewalld (0.4.4.4-1) experimental; urgency=medium

  * New upstream version 0.4.4.4
  * Update watch file for new location at github.
    fedorahosted.org has been shut down.
  * Override dh_autoreconf so we can run intltoolize
  * Switch to gir1.2-nm-1.0.
    The introspection data for libnm has been split out of
    gir1.2-networkmanager-1.0 into gir1.2-nm-1.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 12 May 2017 14:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: firewall-config (= ${source:Version}),
          firewalld (= ${source:Version}),
-         gir1.2-networkmanager-1.0,
+         gir1.2-nm-1.0,
          gir1.2-notify-0.7,
          python3-dbus,
          python3-gi,
@@ -76,7 +76,7 @@
 Depends: firewalld (= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-networkmanager-1.0,
+         gir1.2-nm-1.0,
          gir1.2-pango-1.0,
          python3-dbus,
          python3-gi,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 
 %:
 	dh $@ --with python3
+
+autoreconf:
+	ls po/*.po | sed -e 's/.po//' | sed -e 's/po\///' > po/LINGUAS
+	intltoolize -f -c
+	autoreconf -f -i
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3
https://github.com/t-woerner/firewalld/releases/ .*/v?(\d\S*)\.tar\.gz

## firewalld 0.4.4.6

=== debian/changelog ===
firewalld (0.4.4.6-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Handle /usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy
    symlink using alternatives (Closes: #802283)

  [ Michael Biebl ]
  * New upstream version 0.4.4.6
  * Use upstream provided autogen.sh for dh_autoreconf
  * Bump Standards-Version to 4.1.1
  * Switch to dh_missing to list uninstalled files

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Nov 2017 16:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -13,7 +13,7 @@
                pkg-config,
                python3 (>= 3.2),
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
 Homepage: http://www.firewalld.org/

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,8 @@
 %:
 	dh $@ --with python3
 
-autoreconf:
-	ls po/*.po | sed -e 's/.po//' | sed -e 's/po\///' > po/LINGUAS
-	intltoolize -f -c
-	autoreconf -f -i
-
 override_dh_autoreconf:
-	dh_autoreconf debian/rules -- autoreconf
+	NOCONFIGURE=true dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -25,7 +20,12 @@
 		--with-ipset=/sbin/ipset
 
 override_dh_install:
-	dh_install --list-missing
+	# Delete the symlink and let update-alternatives handle it
+	rm -f debian/tmp/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy
+	dh_install
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_fixperms:
 	dh_fixperms

## firewalld 0.6.3

=== debian/changelog ===
firewalld (0.6.3-5) unstable; urgency=medium

  * Team upload.
  * Drop Recommends against ebtables and bump iptables version to 1.8.1-1 to
    be certain the ebtables executables are present (Closes: #918470)
  * Cherry-pick "ipXtables/nftables: Fix "object has no attribute
    '_log_denied'"" (Closes: #916791)
  * debian/control: Bump build-dependency against debhelper to 12, compat
    version was already set to 12
  * debian/rules: Use the iptables binaries that are now installed in
    /usr/sbin and avoid the compatibility symlinks installed in /sbin

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Feb 2019 13:41:47 +0100

firewalld (0.6.3-4) unstable; urgency=medium

  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/FirewallD.conf on upgrades

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 15:10:52 +0100

firewalld (0.6.3-3) unstable; urgency=medium

  * Specify canonical paths for modinfo, modprobe, rmmod and sysctl during
    configure.
    This ensures that if the package is built in a merged-/usr environment it
    continues to work on non-merged-/usr systems. (Closes: #913729)

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Nov 2018 16:57:55 +0100

firewalld (0.6.3-2) unstable; urgency=medium

  * Switch firewall backend from nftables back to iptables (again)
    When both firewalld and libvirt are installed, libvirt guests using NAT do
    not have internet access. The problem is that libvirt is not compatible
    (yet) with firewalld's new nftables backend. (Closes: #909574)
  * Switch to compat level 12 and dh_installsystemd

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Nov 2018 20:20:40 +0100

firewalld (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump Standards-Version to 4.2.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Oct 2018 22:32:32 +0200

firewalld (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Rebase patches
  * Revert "Switch firewall backend from nftables back to iptables"
    Follow upstream and use nftables as default backend. This requires a
    kernel >= 4.18 to work properly.
    This also requires the corresponding userspace utility nft, so add
    Depends on the nftables package.
    If for some reason you need to revert to the old iptables backend, you
    can easily do so by setting FirewallBackend in
    /etc/firewalld/firewalld.conf to iptables, then restart firewalld.
  * tests/functions: fix macro to dump ipset
  * Run upstream unit tests using autopkgtest.
  * Test successful start of firewalld via autopkgtests.
    Add two basic autopkgtests which simply check if the firewalld daemon
    starts without errors (and warnings) if all Depends (and Recommends) are
    installed.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Sep 2018 11:35:33 +0200

firewalld (0.6.1-2) unstable; urgency=medium

  * firewall/core/fw_nm: nm_get_zone_of_connection should return None or empty
    string instead of False

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Aug 2018 17:26:58 +0200

firewalld (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1 (Closes: #904244)
  * Rebase patches
  * Drop ancient X-Python3-Version
  * Stop installing firewallctl.
    This tool has been deprecated since 0.5.0 and removed completely in 0.6.0.
  * Take over cockpit.xml service definition file from cockpit-ws.
    Add Breaks/Replaces accordingly.
  * Don't run test-suite during build.
    It requires root privileges to run successfully so we will eventually
    use autopkgtest instead.
  * Drop our workaround to move AppData files to /usr/share/metainfo/.
    This has been fixed upstream.
  * Specificy path to nft (nftables) executable via configure switch
  * Switch firewall backend from nftables back to iptables.
    The nftables backend requires Linux >= 4.18 which is not yet available
    in the Debian archive. Once the new kernel is more widely used, the
    backend will be switched back to nftables as default.
  * Bump Standards-Version to 4.2.0

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Aug 2018 22:08:51 +0200

firewalld (0.4.4.6-2) unstable; urgency=medium

  * Team upload
  * Use preferred https URL for d/copyright Format
  * Update Vcs-* for move to salsa.debian.org
  * Move AppStream metadata from /usr/share/appdata to /usr/share/metainfo
  * Bump Standards-Version to 4.1.4 (no further changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 00:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 12),
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -13,26 +13,26 @@
                pkg-config,
                python3 (>= 3.2),
                xsltproc
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/firewalld.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/utopia-team/firewalld.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/firewalld
 Homepage: http://www.firewalld.org/
-X-Python3-Version: >= 3.2
 
 Package: firewalld
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: dbus,
          gir1.2-glib-2.0,
-         iptables,
+         iptables (>= 1.8.1-1),
          policykit-1,
          python3-dbus,
          python3-gi,
          python3-slip-dbus,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: ebtables (>= 2.0.10.4-3.1~),
-            ipset
+Recommends: ipset
+Breaks: cockpit-ws (<< 176)
+Replaces: cockpit-ws (<< 176)
 Description: dynamically managed firewall with support for network zones
  firewalld is a dynamically managed firewall daemon with support for
  network/firewall zones to define the trust level of network connections

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=/usr/bin/python3

%:
	dh $@ --with python3

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-systemd-unitdir=/lib/systemd/system \
		--with-nft=/usr/sbin/nft \
		--with-iptables=/usr/sbin/iptables \
		--with-iptables-restore=/usr/sbin/iptables-restore \
		--with-ip6tables=/usr/sbin/ip6tables \
		--with-ip6tables-restore=/usr/sbin/ip6tables-restore \
		--with-ebtables=/usr/sbin/ebtables \
		--with-ebtables-restore=/usr/sbin/ebtables-restore \
		--with-ipset=/sbin/ipset \
		MODINFO=/sbin/modinfo \
		MODPROBE=/sbin/modprobe \
		RMMOD=/sbin/rmmod \
		SYSCTL=/sbin/sysctl

override_dh_install:
	# Delete the symlink and let update-alternatives handle it
	rm -f debian/tmp/usr/share/polkit-1/actions/org.fedoraproject.FirewallD1.policy
	dh_install

override_dh_missing:
	dh_missing --list-missing

override_dh_fixperms:
	dh_fixperms
	chmod 0750 debian/firewalld/etc/firewalld/

override_dh_auto_test:

=== debian/tests/control ===
Tests: root-unittests
Depends: python3,
         python3-slip-dbus,
         python3-dbus,
         python3-gi,
         automake,
         nftables,
         ipset,
         iptables,
         ebtables
Restrictions: build-needed, needs-root, isolation-machine

Tests: smoke
Depends: firewalld
Restrictions: needs-root, isolation-machine

Tests: smoke-with-recommends
Depends: firewalld
Restrictions: needs-root, needs-recommends, isolation-machine

=== debian/watch ===
version=3
https://github.com/firewalld/firewalld/releases/ .*/v?(\d\S*)\.tar\.gz
